This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 827516

Summary: [kn_IN] Vowel Signs U and UU do not correctly attach to many consonants in Lohit Kannada
Product: [Fedora] Fedora Reporter: Shriramana Sharma <samjnaa>
Component: lohit-kannada-fontsAssignee: Pravin Satpute <psatpute>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: fonts-bugs, i18n-bugs, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
ODT and PDF for test-case none

Description Shriramana Sharma 2012-06-01 12:40:54 EDT
Created attachment 588536 [details]
ODT and PDF for test-case

Description of problem:

While most other CONSONANT + VOWEL SIGN combinations in Lohit Kannada are mapped to precomposed glyphs, there are no pre-composed glyphs for vowel signs U and UU except for the consonants PA, PHA and VA (where the stroke for U/UU needs to come from below the consonant rather than the normal right side of the consonant).

While in most cases, by virtue of appropriate RSB and LSB values of the consonant glyph and vowel sign glyph, the simple sequence of the two glyphs creates an appropriate appearance, this leaves out several instances where the glyphs do not overlap at all and hence appear disjointed. For a professional appearance of the font, this should be fixed.

Version-Release number of selected component (if applicable):

2.5.1

How reproducible:

Input all possible sequences of Kannada consonants with vowel signs U and UU. (See attached ODT for text. Use BabelMap [http://www.babelstone.co.uk/software/babelmap.html] if you want the codepoints.)

Actual results:

You can see (as in the attached PDF) that some consonants do not properly get attached to the vowel signs U and UU.

Expected results:

All consonants should properly get attached to the vowel signs U and UU.

Additional info:

Consonants which are not properly joined with vowel sign U:

KA* NYA DDA DA BA RA SSA** RRA LLLA***

* = see at high magnification
** = may need separate precomposed glyph with some adjustment to shape of left side of vowel sign
*** = so-called FA of Kannada Unicode

Consonants which are not properly joined with vowel sign UU:

Those already listed above for U, plus GHA and LLA, due to the shorter height of the left-side ending node of this vowel sign.

I think in most cases appropriate kerning should solve the problem, except for SSA + -U/-UU, GHA + -UU and LLA + -UU where separate glyphs would be advisable.

It is curious to note that DDA DA and BA are all disjointed whereas their aspirated counterparts DDHA DHA and BHA which all have only an additional notch-like stroke at the bottom are correctly joined with the vowel sign. I think the LSB RSB values are carelessly allotted in some cases, unfortunately.

Other problems:

CU JU -- the pointed part on the left of the vowel sign U passes through the consonants and comes out above (see carefully) -- actually *negative* kerning is needed here so that the pointed part should only enter the consonant and not again exit it. 

(It seems this problem does not occur for vowel sign UU due to the shorter height of the left-side ending node of this vowel sign which causes a problem with GHA and LLA instead -- see above!)

Note:

Unfortunately I will not be able to provide a TTF patch for this as I am already short of time on my official projects. Please take care of it. Thank you!
Comment 1 Shriramana Sharma 2012-06-12 08:31:00 EDT
As a spillover from bug #825104, let me move the issue of Kannada NYA ಞ not connecting properly with VS-U and -UU here.

Basically the problem is that the NYA consonant glyph ಞ does not have any attachment point near the bottom right side of its bounding box. Not being a Kannadiga, and without having any other proper attestation, I do not wish to cursively join the bottom portion of the ponytail to the top portion of the ು ೂ vowel sign which would seem a logical choice from one point of view. I fear that doing so may confuse the reader because the ponytail on the top right of ಞ may no longer be recognizable.

And I also realized that even in GHA ಘ there is no proper attachment point and we have to be satisfied with the leftmost extreme of the stroke of ು ೂ to overlap with some part of the right side of the consonant glyph. Likewise it can be done for ಞ also, and I think we have to be satisfied with that until/unless we get better attestation. (Note that I have pointed out that the leftmost extreme of ೂ is at a much lower height than of ು. So the ೂ glyph must either be totally replaced or replaced when coming after ಘ ಞ for overlapping with the top right portion of the consonant.) 

I think you can achieve all this using proper kerning etc, and only for GHA ಘ and NYA ಞ you may need to design a slightly modified ು ೂ glyph (by increasing the height) as described above. I hope you can take care of it.
Comment 2 Fedora End Of Life 2013-01-16 12:04:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-12-21 03:37:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Pravin Satpute 2013-12-22 22:46:28 EST
Thanks Shriramana. We are targeting this improvement in lohit2.
Comment 5 Jan Kurik 2015-07-15 11:07:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23